import 'package:flutter/material.dart';

import 'package:difficulty_toggle/difficulty_toggle.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Value Toggle Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: Scaffold(
        body: Center(
          child: Container(
            padding: EdgeInsets.all(4.0),
            child: DifficultyToggle(
              startingDifficulty: 'easy',
              onValueClick: (val) => print(val),
            ),
          ),
        ),
      ),
    );
  }
}
